SDL_FileDialogType(3type)

NAME
SDL_FileDialogType - Various types of file dialogs.

HEADER FILE
Defined in SDL3/SDL_dialog.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_FileDialogType
{
    SDL_FILEDIALOG_OPENFILE,
    SDL_FILEDIALOG_SAVEFILE,
    SDL_FILEDIALOG_OPENFOLDER
} SDL_FileDialogType;

DESCRIPTION
This is used by

SDL_ShowFileDialogWithProperties () to decide what kind of dialog to present to the user.

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ShowFileDialogWithProperties(3)